#include <iostream>
#include <bits/stdc++.h>
using namespace std;

bool Postoji(vector<int> vektor, int proizvod) {
    for(int i = 0; i<vektor.size(); i++) {
        if(vektor[i] == proizvod) return true;
    }
    return false;
}

int main()
{
    int n;

    int upit;
    vector<int> proslo;
    scanf("%d", &n);
    proslo.resize(100);
    int brojac = 0;
    scanf("%d", &upit);
    if(upit == 1) {
            cout << upit << "\n";
    }
    for(int i = 1; i <= upit; i++) {
        if(i <= 10 && !Postoji(proslo,i)) {
            if(!Postoji(proslo,i)) {
                proslo[i-1] = i;
            }
            brojac++;
            continue;
        }

        else {
            int jedinice = i%10;
            int desetice = (i/10)%10;
            int stotine = 1;
            if(i > 100) stotine = (i/100)%10;
            int proizvod = jedinice * desetice * stotine;
            if(!Postoji(proslo,proizvod)) {
                proslo[i-1] = proizvod;
                brojac++;
            }

        }




    }
    if(upit > 100) brojac++;
    cout << brojac << "\n";
    proslo.shrink_to_fit();
    return 0;
}